# Class TreeAdapter

java.lang.Object
org.eclipse.swt.events.TreeAdapter

All Implemented Interfaces:
  `TreeListener`

public abstract class TreeAdapter extends Object implements TreeListener
This adapter class provides default implementations for the methods described by the `TreeListener` interface.

Classes that wish to deal with `TreeEvent`s can extend this class and override only the methods which they are interested in.

See Also:
  - `TreeListener`
  - `TreeEvent`

## Constructor Summary

Constructors
Constructor
Description
`TreeAdapter()`

## Method Summary

Modifier and Type
Method
Description
`void`
`treeCollapsed(TreeEvent e)`
Sent when a tree branch is collapsed.
`void`
`treeExpanded(TreeEvent e)`
Sent when a tree branch is expanded.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TreeAdapter

public TreeAdapter()

## Method Details

### treeCollapsed

public void treeCollapsed(TreeEvent e)
Sent when a tree branch is collapsed. The default behavior is to do nothing.

Specified by:
  `treeCollapsed` in interface `TreeListener`
Parameters:
  `e` - an event containing information about the tree operation

### treeExpanded

public void treeExpanded(TreeEvent e)
Sent when a tree branch is expanded. The default behavior is to do nothing.

Specified by:
  `treeExpanded` in interface `TreeListener`
Parameters:
  `e` - an event containing information about the tree operation